## pynn 0.9.5

=== requirements.txt ===
Jinja2>=2.6
docutils>=0.10
mock>1.0
numpy>=1.8.2
quantities>=0.12.1
lazyarray>=0.3.2
neo>=0.5.2
setuptools>=20.5;python_version!="3.3"
nose
h5py;python_version!="3.3"
