## pynn 0.7.0

=== debian/changelog ===
pynn (0.7.0-1~pre1~nd09.10+1) karmic; urgency=low

  * Backported for karmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 24 Mar 2011 12:42:37 -0400

pynn (0.7.0-1~pre1) UNRELEASED; urgency=low

  * Initial release (Closes: #604159)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Nov 2010 00:00:43 -0500
