## pynn 0.7.2

=== debian/changelog ===
pynn (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Changed maintainer email.
  * Added python-csa as a recommended package (connectors can use it).
  * Bump standards-version to 3.9.3 -- no changes necessary.
  * Indicate compliance with copyright format 1.0.
  * Fix language issue in package description.
  * Add python-csa as suggested package.
  * Disable most of one test for numerical instabilities.
  * Remove all previous patches -- merged upstream.

 -- Michael Hanke <mih@debian.org>  Fri, 16 Mar 2012 15:16:54 +0100

pynn (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #604159)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 15 Nov 2010 00:00:43 -0500
