## pynn 0.7.4

=== debian/changelog ===
pynn (0.7.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh_python (Closes: #786049)
  * Drop debian/pyversions

 -- Andrey Rahmatullin <wrar@debian.org>  Thu, 20 Aug 2015 03:57:37 +0500

pynn (0.7.4-1) unstable; urgency=low

  * New upstream release
    - fixes a few bugs detected upstream
    - works around regressions of numpy 1.6 (e.g. #679948, #679998) and
      mock 0.8 allowing unittests to pass (Closes: #669466)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 03 Jul 2012 23:54:42 -0400
