=== debian/control ===
Source: pynn
Section: python
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
               python, dh-python,
               python-numpy,
               python-nose, python-mock,
               python-cheetah, python-jinja2
Standards-Version: 3.9.3
Homepage: http://neuralensemble.org/trac/PyNN
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynn.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynn.git
XS-DM-Upload-Allowed: yes

Package: python-pynn
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: python-jinja2, python-cheetah
Suggests: python-neuron, python-brian, python-csa
Description: simulator-independent specification of neuronal network models
 PyNN allows for coding a model once and run it without modification
 on any simulator that PyNN supports (currently NEURON, NEST, PCSIM
 and Brian).  PyNN translates standard cell-model names and parameter
 names into simulator-specific names.
