=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_auto_test:
	for PYVER in `pyversions -d -r -v`; do \
		PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$PYVER` $$PYTHON \
		 /usr/bin/nosetests -s -v --exclude='_(nest|neuron)' test/; done
