=== debian/watch ===
version=3
opts=filenamemangle=s/.*(PyNN-.*)#.*/$1/ \
  http://pypi.python.org/pypi/PyNN/ .*/PyNN-(.*)\.tar\.gz.*
