## pynn 0.7.5

=== debian/changelog ===
pynn (0.7.5-1~nd12.10+1+nd13.04+1+nd13.10+1+nd14.04+1) trusty; urgency=low

  * Backported for trusty.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 24 Apr 2014 06:56:33 -0400

pynn (0.7.5-1~nd12.10+1+nd13.04+1+nd13.10+1) saucy; urgency=low

  * Backported for saucy.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 23 Oct 2013 00:08:16 -0400

pynn (0.7.5-1~nd12.10+1+nd13.04+1) raring; urgency=low

  * Backported for raring.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 28 Apr 2013 21:31:08 -0400

pynn (0.7.5-1~nd12.10+1) quantal; urgency=low

  * Backported for quantal.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 06 Feb 2013 10:21:55 -0500

pynn (0.7.5-1) experimental; urgency=low

  * New upstream bugfix release

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 06 Feb 2013 09:46:53 -0500
