=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: pynn
 Section: python
 Priority: extra
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
-               python, dh-python,
+               python, python-support,
                python-numpy,
                python-nose, python-mock,
                python-cheetah, python-jinja2
@@ -13,11 +14,10 @@
 Homepage: http://neuralensemble.org/trac/PyNN
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/pynn.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/pynn.git
-XS-DM-Upload-Allowed: yes
 
 Package: python-pynn
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
 Recommends: python-jinja2, python-cheetah
 Suggests: python-neuron, python-brian, python-csa
 Description: simulator-independent specification of neuronal network models
