## pynn 0.9.5

=== debian/changelog ===
pynn (0.9.5-3) unstable; urgency=medium

  * Team upload.
  * Configure autodep8 to import pyNN instead of pynn, closes: #959061.
  * Remove trailing whitespace in debian/rules (routine-update)

 -- Etienne Mollier <etienne.mollier@mailoo.org>  Wed, 27 May 2020 22:22:04 +0200

pynn (0.9.5-2) unstable; urgency=medium

  * Team upload.
  * Do not ignore test suite errors, versioned Build-Depends: python3-lazyarray
    Closes: #813821
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Apr 2020 17:44:55 +0200

pynn (0.9.5-1) unstable; urgency=medium

  * Team upload.
  * Take over package into Debian Med team maintenance
  * Point watch file to github
  * Switch to Python3
    Closes: #937491
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Secure URI in copyright format (routine-update)
  * Add salsa-ci file (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * New (Build-)Depends: python3-neuron, python3-quantities,
    python3-lazyarray, python3-neo
  * Ignore test suite errors which are most probably caused by lazyarray
     (see https://bitbucket.org/apdavison/lazyarray/issues/6/test-failure)
  * Fix permissions of *.mod files
  * Fix copyright

 -- Andreas Tille <tille@debian.org>  Thu, 05 Mar 2020 10:54:14 +0100
