=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=pynn
export PYBUILD_BEFORE_TEST =

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	find debian -name "*.mod" -exec chmod -x \{\} \;

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	cp -a test test_save
	rm -f \
	    test/system/scenarios/__init__.py \
	    test/unittests/test_brian.py \
	    test/system/test_brian.py \
	    test/system/test_hardware_brainscales.py \
	    test/system/test_moose.py \
	    test/system/scenarios/registry.py \
	    test/system/test_serialization.py \
	    test/system/test_nest.py \
	    test/system/test_neuroml.py \
	    test/system/test_neuron.py \
	    test/unittests/test_random.py \
	    test/unittests/test_neuron.py
	dh_auto_test
	rm -rf test
	mv test_save test
endif
