## pynn 0.9.6

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 mock>1.0
 numpy>=1.8.2
 quantities>=0.12.1
-lazyarray>=0.3.2
+lazyarray>=0.3.4
 neo>=0.5.2
 setuptools>=20.5;python_version!="3.3"
 nose
