=== debian/changelog ===
pynn (0.9.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 20 Jan 2021 18:30:28 +0100
