=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-numpy,
@@ -17,7 +17,7 @@
                python3-quantities <!nocheck>,
                python3-lazyarray <!nocheck>,
                python3-neo <!nocheck>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/pynn
 Vcs-Git: https://salsa.debian.org/med-team/pynn.git
 Homepage: https://neuralensemble.org/trac/PyNN
