=== debian/watch ===
version=4

https://github.com/NeuralEnsemble/PyNN/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
