=== pyNN/nest/extensions/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# :copyright: Copyright 2006-2020 by the PyNN team, see AUTHORS.
+# :copyright: Copyright 2006-2021 by the PyNN team, see AUTHORS.
 # :license: CeCILL, see LICENSE for details.
 
 cmake_minimum_required( VERSION 2.8.12 )
@@ -20,9 +20,9 @@
 # 2) Add all your sources here
 set( MODULE_SOURCES
     pynn_extensions.h pynn_extensions.cpp
-    simple_stochastic_connection.h
-    stochastic_stp_connection.h
-    stochastic_stp_connection_impl.h
+    simple_stochastic_synapse.h
+    stochastic_stp_synapse.h
+    stochastic_stp_synapse_impl.h
     )
 
 # 3) We require a header name like this:
@@ -247,19 +247,6 @@
 install( FILES ${MODULE_HEADER} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} )
 install( DIRECTORY sli DESTINATION ${CMAKE_INSTALL_DATADIR} )
 
-# Install help.
-set( HELPDIRS "${PROJECT_SOURCE_DIR}:${PROJECT_SOURCE_DIR}/sli" )
-install( CODE
-    "execute_process(COMMAND ${CMAKE_COMMAND}
-          -DDOC_DIR='${CMAKE_INSTALL_FULL_DOCDIR}'
-          -DDATA_DIR='${CMAKE_INSTALL_FULL_DATADIR}'
-          -DHELPDIRS='${HELPDIRS}'
-          -DINSTALL_DIR='${CMAKE_INSTALL_PREFIX}'
-          -P ${CMAKE_INSTALL_FULL_DOCDIR}/generate_help.cmake
-        WORKING_DIRECTORY \"${PROJECT_BINARY_DIR}\"
-      )"
-    )
-
 message( "" )
 message( "-------------------------------------------------------" )
 message( "${MODULE_NAME} Configuration Summary" )
