=== debian/changelog ===
pynn (0.10.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * d/patches/: erase unused patch
  * Add python-3.10.patch: fix build time tests.  (Closes: #1002365)
  * d/copyright: add myself to bump year

 -- Étienne Mollier <emollier@debian.org>  Wed, 22 Dec 2021 21:51:20 +0100

pynn (0.9.6-2) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * d/control: add myself to uploaders
  * d/control: Standards-Version: 4.6.0.1
  * no_testconfig_nest.patch forwarding not needed

 -- Étienne Mollier <emollier@debian.org>  Thu, 16 Sep 2021 21:28:14 +0200
