=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pynn
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
-           Michael Hanke <mih@debian.org>
+           Michael Hanke <mih@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -17,7 +18,7 @@
                python3-quantities <!nocheck>,
                python3-lazyarray <!nocheck>,
                python3-neo <!nocheck>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/pynn
 Vcs-Git: https://salsa.debian.org/med-team/pynn.git
 Homepage: https://neuralensemble.org/trac/PyNN
