## pynn 0.10.1

=== requirements.txt ===
Jinja2>=2.6
docutils>=0.10
mock>1.0
numpy>=1.18.5
quantities>=0.12.1
lazyarray>=0.5.2
neo>=0.11.0
#git+https://github.com/NeuralEnsemble/python-neo.git@master#egg=neo
setuptools>=20.5
nose
h5py
