=== pyNN/nest/extensions/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# :copyright: Copyright 2006-2021 by the PyNN team, see AUTHORS.
+# :copyright: Copyright 2006-2022 by the PyNN team, see AUTHORS.
 # :license: CeCILL, see LICENSE for details.
 
 cmake_minimum_required( VERSION 2.8.12 )
