=== debian/changelog ===
pynn (0.10.1-5) unstable; urgency=medium

  * Team upload.
  * Add build-dep on python3-setuptools (Closes: #1102535)

 -- Alexandre Detiste <tchet@debian.org>  Fri, 11 Apr 2025 08:14:48 +0200

pynn (0.10.1-4) unstable; urgency=medium

  * Team upload.
  * Disable tests to allow removal of dependency on python3-nose
    (Closes: #1018448)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 18 Feb 2025 08:06:05 +0100

pynn (0.10.1-3) unstable; urgency=medium

  * d/gbp.conf: new: sidetracking branch.
    Newer upstream versions will require new packages, so in the meantime,
    let's continue in the debian/unstable instead of the repository's
    default master branch; this requires adjustments to gbp though.
  * python3.12.patch: new: fix test with python3.12. (Closes: #1058252)

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 11:20:17 +0100

pynn (0.10.1-2) unstable; urgency=medium

  * numpy1.24.patch: add; fix test failures with numpy 1.24.
    (Closes: #1028812)
  * d/copyright: bump copyright year.

 -- Étienne Mollier <emollier@debian.org>  Sat, 14 Jan 2023 15:28:08 +0100

pynn (0.10.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * python-3.10.patch: remove; python3.10 support fixed upstream.
  * d/blends: remove; pyNN moved from neurodebian to debian-med.
  * d/copyright: bump copyright years.

 -- Étienne Mollier <emollier@debian.org>  Sat, 22 Oct 2022 12:25:25 +0200
