=== debian/control ===
--- 
+++ 
@@ -10,15 +10,14 @@
                dh-python,
                python3-all,
                python3-numpy,
-               python3-nose <!nocheck>,
-               python3-mock <!nocheck>,
                python3-cheetah <!nocheck>,
                python3-jinja2 <!nocheck>,
                python3-neuron <!nocheck>,
                python3-quantities <!nocheck>,
                python3-lazyarray <!nocheck>,
-               python3-neo <!nocheck>
-Standards-Version: 4.6.0
+               python3-neo <!nocheck>,
+               python3-setuptools,
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/pynn
 Vcs-Git: https://salsa.debian.org/med-team/pynn.git
 Homepage: https://neuralensemble.org/trac/PyNN
