=== debian/watch ===
version=4

https://github.com/NeuralEnsemble/PyNN/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
